Last modified: 2012-08-04 20:48:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28103 - mediawiki_mysql2postgres.pl doesn't work with non-empty $table_prefix
mediawiki_mysql2postgres.pl doesn't work with non-empty $table_prefix
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Maintenance scripts (Other open bugs)
1.16.x
All All
: Low major (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2011-03-18 11:09 UTC by Karsten Düsterloh
Modified: 2012-08-04 20:48 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
fix mediawiki_mysql2postgres.pl (4.36 KB, patch)
2011-03-18 11:09 UTC, Karsten Düsterloh
Details

Description Karsten Düsterloh 2011-03-18 11:09:12 UTC
Created attachment 8311 [details]
fix mediawiki_mysql2postgres.pl

If the $table_prefix is not empty, several table renamings will happen, including for 'pagecontent' and 'mwuser'. This breaks the import into postgres, because 
- 'pagecontent' doesn't exist (temporarily renamed to 'text')
- 'mwuser' won't exist later (temporarily renamed to 'mw_mwuser')
Also, some sequence names are wrong.
Furthermore, some of the generated ALTER statements lack the final semicolon

The attached patch contains the changes I had to do to make this run.
Comment 1 Mark A. Hershberger 2011-04-22 18:48:23 UTC
r86721

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links